{- 
   CSS stylesheet for formating tableaux using itemized lists
   images and styles inlined in a Haskell string to simplify installation
   Pedro Vasconcelos, 2010
-}
module CSS (cssText) where

cssText :: String
cssText 
    =  unlines ["ul.tree, ul.tree ul {"
               ,"list-style-type: none;"
               -- background: url(vline.png) repeat-y; 
               ,"background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAKAQMAAABPHKYJAAAAA1BMVEWIiIhYZW6zAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1ggGExMZBky19AAAAAtJREFUCNdjYMAEAAAUAAHlhrBKAAAAAElFTkSuQmCC) repeat-y;"
               ,"margin: 0 0 0 10px;"
               ,"padding: 0 0 0 0; }"

               ,"ul.tree li {"
               ,"padding: 0 12px 0 12px;"
               ,"line-height: 1.5;"
               -- background: url(node.png) no-repeat; 
               ,"background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAUAQMAAACK1e4oAAAABlBMVEUAAwCIiIgd2JB2AAAAAXRSTlMAQObYZgAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9YIBhQIJYVaFGwAAAARSURBVAjXY2hgQIf/GTDFGgDSkwqATqpCHAAAAABJRU5ErkJggg==) no-repeat; }"

               ,"ul.tree li.last {"
               -- background: #fff url(lastnode.png) no-repeat; 
               ,"background: #fff url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAUAQMAAACK1e4oAAAABlBMVEUAAwCIiIgd2JB2AAAAAXRSTlMAQObYZgAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9YIBhQIIhs+gc8AAAAQSURBVAjXY2hgQIf/GbAAAKCTBYBUjWvCAAAAAElFTkSuQmCC) no-repeat; }"
                
               ,"div.math { font-family: sans-serif; }"
                
               ,"span.cursor {"
               ,"border: thin dashed black;"
               ,"background-color: yellow;"
               ,"padding: 1px; }"

               ,"div.conj {"
               -- background: url(vline.png) repeat-y; 
               ,"background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAKAQMAAABPHKYJAAAAA1BMVEWIiIhYZW6zAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1ggGExMZBky19AAAAAtJREFUCNdjYMAEAAAUAAHlhrBKAAAAAElFTkSuQmCC) repeat-y;"
               ,"background-position: 10px;"
               ,"padding: 0 0 0 0;"
               ,"margin: 0 0 5px 0; }"

               ,"div.conj p.last { margin: 0 0 0 0; }"

               ,"div.conj p {"
               ,"background: white;"
               ,"margin: 0 0 10px 0; }"

               ,".closed { font-style: oblique; }"

               ,".unused { font-weight: bold; }"

               ,"input#refute {  font-family: monospace; }"
               ]

